Name:           konkretcmpi
Version:        0.9.0
Release:        5%{?dist}
Summary:        Tool for rapid CMPI providers development

License:        MIT
Source0:        https://github.com/rnovacek/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  sblim-cmpi-devel
BuildRequires:  cmake
BuildRequires:  python2-devel
BuildRequires:  swig

# Enable using direct calls in KDefaultGetInstance
Patch0:         konkretcmpi-0.9.0-enable-direct-call.patch
# Fix method arguments that are both input and output
Patch1:         konkretcmpi-0.9.0-fix-inputoutput-method-arguments.patch
# Fix return type for generated indication functions
Patch2:         konkretcmpi-0.9.0-fix-indication-return-type.patch
# Support varlist in KReturn2
Patch3:         konkretcmpi-0.9.0-support-varlist-in-kreturn2.patch

%description
KonkretCMPI makes CMPI provider development easier by generating type-safe 
concrete CIM interfaces from MOF definitions and by providing default 
implementations for many of the provider operations.

%package devel
Summary:        Development files for konkretcmpi package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides required files for development using konkretcmpi.

%package python
Summary:        Python bindings for konkretcmpi
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       python2

%description python
This package contains python binding for konkretcmpi.


%prep
%setup -q
%patch0 -p1 -b .enable-direct-call
%patch1 -p1
%patch2 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} -DWITH_PYTHON=ON ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# Don't package .la object
rm -rf $RPM_BUILD_ROOT/usr/lib*/libkonkret.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README COPYING
%{_bindir}/konkret
%{_bindir}/konkretreg
%{_libdir}/libkonkret.so.0.0.1
%{_libdir}/libkonkretmof.so.0.0.1

%files devel
%exclude %{_datadir}/cmake/Modules/FindCMPI.cmake
%exclude %{_datadir}/cmake/Modules/FindKonkretCMPI.cmake
%{_includedir}/konkret/konkret.h
%{_libdir}/libkonkret.so
%{_libdir}/libkonkretmof.so

%files python
%{python_sitearch}/konkretmof.py*
%{python_sitearch}/_konkretmof.so


%changelog
* Mon Jun 03 2013 Radek Novacek <rnovacek@redhat.com> 0.9.0-5
- Support varlist in KReturn2
- Resolves: rhbz#969494

* Thu May 09 2013 Radek Novacek <rnovacek@redhat.com> 0.9.0-4
- Fix return type for generated indication functions

* Tue Apr 02 2013 Radek Novacek <rnovacek@redhat.com> 0.9.0-3
- Enable direct calls
- Fix method arguments that are both input and output
- Don't install Find*.cmake files

* Fri Mar 08 2013 Radek Novacek <rnovacek@redhat.com> 0.9.0-2
- Respin upstream tarball

* Fri Mar 08 2013 Radek Novacek <rnovacek@redhat.com> 0.9.0-1
- Update to version 0.9.0
- Drop upstreamed patches
- Use CMake build system
- Include FindCMPI.cmake and FindKonkretCMPI.cmake cmake modules
- Add python subpackage

* Wed Feb 13 2013 Radek Novacek <rnovacek@redhat.com> 0.8.7-9
- Fix warnings in generated code

* Wed Feb 06 2013 Radek Novacek <rnovacek@redhat.com> 0.8.7-8
- Fix KArray count property

* Wed Oct 31 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-7
- Do not optimize out registration strings

* Mon Aug 06 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-6
- Handle ValueMap with same Values in MOF

* Mon Aug 06 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-5
- Disable check in MOF that fails with current (experimental) cim-schema

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 03 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-3
- Fix usage of shared library

* Mon Jul 02 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-2
- Use shared library instead of static

* Tue Mar 27 2012 Radek Novacek <rnovacek@redhat.com> 0.8.7-1
- Initial package
